Details
curl --request POST \
--url https://beaconcha.in/api/v2/ethereum/block/rewards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"block": {
"view": "latest"
},
"chain": "mainnet"
}
'import requests
url = "https://beaconcha.in/api/v2/ethereum/block/rewards"
payload = {
"block": { "view": "latest" },
"chain": "mainnet"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({block: {view: 'latest'}, chain: 'mainnet'})
};
fetch('https://beaconcha.in/api/v2/ethereum/block/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"total_reward": {
"amount": "<string>",
"recipient": {
"address": "<string>",
"is_contract": true
}
},
"priority_fees": {
"amount": "<string>",
"recipient": {
"address": "<string>",
"is_contract": true
}
},
"execution_reference": {
"block": 1,
"hash": "<string>"
},
"mev": {
"amount": "<string>",
"recipient": {
"address": "<string>",
"is_contract": true
}
},
"mining": {
"recipient": {
"address": "<string>",
"is_contract": true
},
"static_block_reward": "<string>",
"uncle_inclusion_reward": "<string>"
},
"consensus_reference": {
"slot": 1,
"epoch": 1,
"block_root": "<string>"
}
}
}{
"error": "Bad request. Please check your input and try again."
}{
"error": "Unauthorized. Please provide a valid API key."
}{
"error": "endpoint not allowed for your subscription tier. upgrade your subscription at https://beaconcha.in/pricing."
}{
"error": "The requested resource was not found."
}{
"error": "method not allowed: GET. all public API endpoints use POST."
}{
"error": "Rate limit exceeded. Please try again later."
}{
"error": "internal server error. please try again later."
}{
"error": "An unexpected error occurred."
}Block Duties
Details
Offers detailed insights into the execution layer rewards for a specific block, including transaction fees and MEV (Maximal Extractable Value).
You can query using a block number or the keywords “latest” / “finalized”.
POST
/
api
/
v2
/
ethereum
/
block
/
rewards
Details
Authorizations
Body
application/json
Response
Successful response.
Response containing basic information about the block reward.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

